# Generated by Django 3.0.8 on 2020-10-08 11:26

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.db.models.manager
import django.utils.timezone
import multiselectfield.db.fields
import phonenumber_field.modelfields
import phonenumber_field.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='UserFiles',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('file', models.FileField(upload_to='')),
                ('created_at', models.DateTimeField(auto_now=True)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='files', to=settings.AUTH_USER_MODEL)),
            ],
            managers=[
                ('object', django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name='Tab',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, help_text='Введите название', max_length=100, verbose_name='Создать новую таблицу')),
                ('create_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('slug', models.CharField(max_length=100)),
                ('on_off', models.BooleanField(choices=[(True, 'Таблица активна'), (False, 'Таблица не активна')], default=True)),
                ('choice_rec_1', models.IntegerField(choices=[(1, 'Дни'), (7, 'Недели'), (30, 'Месяцы')], default=1)),
                ('choice_rec_2', models.IntegerField(choices=[(1, 'Дни'), (7, 'Недели'), (30, 'Месяцы')], default=1)),
                ('recency_raw_1', models.PositiveIntegerField(default=0, null=True)),
                ('recency_raw_2', models.PositiveIntegerField(default=0, null=True)),
                ('recency_1', models.DurationField(null=True)),
                ('recency_2', models.DurationField(null=True)),
                ('frequency_1', models.PositiveIntegerField(default=0, null=True)),
                ('frequency_2', models.PositiveIntegerField(default=0, null=True)),
                ('monetary_1', models.PositiveIntegerField(default=0, null=True)),
                ('monetary_2', models.PositiveIntegerField(default=0, null=True)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tabs', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Rules',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250, verbose_name='Название')),
                ('slug', models.CharField(max_length=100)),
                ('from_to', multiselectfield.db.fields.MultiSelectField(choices=[(333233, '333 => 233'), (332232, '332 => 232'), (331231, '331 => 231'), (323223, '323 => 223'), (322222, '322 => 222'), (321221, '321 => 221'), (313213, '313 => 213'), (312212, '312 => 212'), (311211, '311 => 211'), (233133, '233 => 133'), (232132, '232 => 132'), (231131, '231 => 131'), (223123, '223 => 123'), (222122, '222 => 122'), (221121, '221 => 121'), (213113, '213 => 113'), (212112, '212 => 112'), (211111, '211 => 111')], default=None, max_length=125, verbose_name='При каких переходах будет срабатывать триггер.')),
                ('message', models.TextField(verbose_name='Текст рассылки. Можно персонализоровать с помощью {name}.')),
                ('on_off_rule', models.BooleanField(choices=[(True, 'Правило активно'), (False, 'Правило не активно')], default=True)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('tab', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='rules', to='rfmizer.Tab')),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sms_login', models.CharField(blank=True, max_length=50)),
                ('sms_pass', models.TextField(blank=True)),
                ('balance', models.IntegerField(blank=True, default=0, null=True)),
                ('notification_msg', models.TextField(blank=True)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
                ('slug', models.CharField(max_length=100)),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None, validators=[phonenumber_field.validators.validate_international_phonenumber])),
                ('last_deal', models.DateField(null=True)),
                ('pays', models.IntegerField(null=True)),
                ('deal_count', models.IntegerField(null=True)),
                ('last_deal_good', models.TextField(null=True)),
                ('rfm_category', models.TextField(default='000')),
                ('active_client', models.BooleanField(choices=[(True, 'Да'), (False, 'Нет')], default=True)),
                ('last_sent', models.DateField(null=True)),
                ('rfm_move', models.TextField(default='000000')),
                ('rfm_flag', models.BooleanField(default=False)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='clients', to=settings.AUTH_USER_MODEL)),
                ('tab', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='clients', to='rfmizer.Tab')),
            ],
        ),
        migrations.CreateModel(
            name='Deals',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('pay', models.PositiveIntegerField()),
                ('good', models.TextField()),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deals', to='rfmizer.Person')),
            ],
        ),
        migrations.CreateModel(
            name='ActionLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_time', models.DateTimeField(default=django.utils.timezone.now)),
                ('event', models.TextField()),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='events', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
